import { fetchScenes } from '#/src/scenes.js';
import { curateScenesQuery } from '#/src/web/scenes.js';

export async function onBeforeRender(pageContext) {
	const { scenes, limit, total } = await fetchScenes(await curateScenesQuery({
		...pageContext.urlQuery,
		scope: pageContext.routeParams.scope || 'latest',
		isShowcased: true,
		tagFilter: pageContext.tagFilter,
	}), {
		page: Number(pageContext.routeParams.page) || 1,
		limit: Number(pageContext.urlParsed.search.limit) || 30,
		aggregate: false,
	}, pageContext.user);

	return {
		pageContext: {
			title: pageContext.routeParams.scope,
			pageProps: {
				scenes,
				limit,
				total,
			},
		},
	};
}
